Page MenuHomePhabricator

Efl.Ui.Anchor_Popup
Closed, ResolvedPublic

Description

lass @beta Efl.Ui.Anchor_Popup extends Efl.Ui.Popup
{
   [[EFL UI Anchor Popup class]]
   methods {
      @property anchor {
         set {
            [[Set anchor popup to follow an anchor object.
              If anchor object is moved or parent window is resized, the anchor popup moves to the new position.
              If anchor object is set to NULL, the anchor popup stops following the anchor object.
              When the popup is moved by using gfx_position_set, anchor is set NULL.
              ]]
         }
         get {
            [[Returns the anchor object which the popup is following.]]
         }
         values {
            anchor: Efl.Canvas.Object; [[The object which popup is following.]]
         }
      }
      @property align_priority @beta {
         set {
            [[Set the align priority of a popup.]]
         }
         get {
            [[Get the align priority of a popup.]]
         }
         values {
            first: Efl.Ui.Popup_Align;  [[First align priority]]
            second: Efl.Ui.Popup_Align; [[Second align priority]]
            third: Efl.Ui.Popup_Align;  [[Third align priority]]
            fourth: Efl.Ui.Popup_Align; [[Fourth align priority]]
            fifth: Efl.Ui.Popup_Align;  [[Fifth align priority]]
         }
      }
   }
   implements {
      Efl.Object.constructor;
      Efl.Object.destructor;
      Efl.Canvas.Group.group_calculate;
      Efl.Gfx.Entity.position { set; }
   }
}

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
Resolvedzmike
Resolvedzmike
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
ResolvedNone
ResolvedNone
segfaultxavi triaged this task as TODO priority.

Why do we need align_priority ?

zmike added a comment.Jun 24 2019, 5:53 AM

align_priority is (iirc) a way to specify how you prefer the popup to do layout if it is constrained. We may want to copy/research xdg-popup semantics for this (which I also wrote) since they're a bit more robust.

anchor needs a prefix or something, there is also an anchor kind of thing for entry...

I would like to know the meaning of those extraterrestrial first, second, third, ... parameters to align_priority. What is that?

zmike added a comment.Jun 25 2019, 7:29 AM

It's a priority list. first means the first attempted layout to use, second is the fallback, third is the fallback if second doesn't work, ...

Well, if it's a list, it's fugly. Why don't we use an Eina list? or array? or literally ANY other thing before the words first, second, third, ...

zmike added a comment.Jun 25 2019, 8:57 AM

Oh so you're imagining that there was a panel assembled to evaluate this API before it landed?

Well, there is now. Kill. This. With. Fire.

Diffusion closed subtask T7902: efl.ui.popup as Resolved.
zmike closed this task as Resolved.Sep 27 2019, 11:26 AM
zmike claimed this task.